AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/lineak -I$(top_srcdir)/lineakd -I. -I.. $(all_includes) 
####### kdevelop will overwrite this part!!! (begin)##########
bin_PROGRAMS = lineakd

## INCLUDES were found outside kdevelop specific part

lineakd_SOURCES = lineakd_core_functions.cpp cmdprefs.cpp main.cpp 
lineakd_LDADD   = -lpthread -llineak -lXext -lX11 -ldl

EXTRA_DIST = main.cpp eakprocs.h cmdprefs.cpp cmdprefs.h lineakkb.def lineakd.1.bz2 OLDCODE lineakd_core_functions.h lineakd_core_functions.cpp 
#man_MANS = lineakd.1.gz
lineakd.1.bz2:
	bzip2 -c lineakd.1 > lineakd.1.bz2

install-data-local: lineakd.1.bz2
	$(mkinstalldirs) $(sysconfdir)/
	$(mkinstalldirs) $(mandir)/man1/
	$(mkinstalldirs) $(pkglibdir)/plugins/
	$(INSTALL_DATA) $(srcdir)/lineakkb.def $(sysconfdir)/lineakkb.def
	$(INSTALL_DATA) $(srcdir)/lineakd.1.bz2 $(mandir)/man1/lineakd.1.bz2

uninstall-local:
	-rm -f $(sysconfdir)/lineakkb.def
	-rm -f $(mandir)/man1/lineakd.1.bz2

####### kdevelop will overwrite this part!!! (end)############
# set the include path found by configure
INCLUDES= $(all_includes) -I$(top_srcdir)/lineak -I. -I..
DEFS = @DEFS@ -DCONFDIR=\"@sysconfdir@\" -DPLUGINDIR=\"@libdir@/lineakd/plugins\"
 
# the library search path.
lineakd_LDFLAGS = -rdynamic -L../lineak $(all_libraries) @X_LIBS@ @X_PRE_LIBS@
                                                                                
